# BlueFire

## Project Contents

- /api

  The backend of the BlueFire website, written in PHP and CodeIgniter

- /frontend

  The frontend of the BlueFire website, written in JavaScript and Vue

## Dependencies

- A web server with PHP 5.6

- Microsoft SQL Server 

## Installation 

1. Download the repository, either using `git clone` or downloading as a ZIP file

2. Open the repository, and copy the entire contents of the repository to the web-root of your server.

3. Start up SQL Server, and run the schema in `BlueFireDB.sql`

## Frontend Development

```
cd frontend
yarn install
yarn serve # Test out the frontend
yarn build # Build the frontend
cp dist/* ../ # Copy the frontend build files to root of the project
```
